Bug 808561 - [abrt] xorg-x11-utils-7.5-3.fc16: Select_Window: Process /usr/bin/xwininfo was killed by signal 11 (SIGSEGV)
[abrt] xorg-x11-utils-7.5-3.fc16: Select_Window: Process /usr/bin/xwininfo wa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-utils (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:ae455922f1660fc28c2e25a132e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-30 13:58 EDT by Jim Blandy
Modified: 2013-02-26 09:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 09:38:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (9.30 KB, text/plain)
2012-03-30 13:58 EDT, Jim Blandy
no flags Details
Work around issue in xwininfo rather than libxcb (682 bytes, patch)
2012-07-31 20:29 EDT, david.venz
no flags Details | Diff

  None (edit)
Description Jim Blandy 2012-03-30 13:58:29 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        xwininfo -root -tree
crash_function: Select_Window
executable:     /usr/bin/xwininfo
kernel:         3.3.0-4.fc16.x86_64
pid:            26394
pwd:            /home/jimb/DebuggerDocs
reason:         Process /usr/bin/xwininfo was killed by signal 11 (SIGSEGV)
time:           Fri 30 Mar 2012 10:46:33 AM PDT
uid:            1000
username:       jimb

backtrace:      Text file, 9521 bytes

build_ids:
:1c6a95451ee19617be5abea3d121f0226d21ddda
:dacf32a9a2f2b5077ba944e7b835cca6f637f78f
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:1a212c7f1515542b310ba92f6109efc9b5bf2b6e
:c338995c6d9af1b42bbda75cf66a9b7ea89cf9c1
:497f0f23c4df746e69fcda91762375700680282f

comment:
:I ran xwininfo passing a DISPLAY that selected the current server, but a non-existent screen.
:
:$ DISPLAY=:0.1 xwininfo
:
:xwininfo: Please select the window about which you
:          would like information by clicking the
:          mouse in that window.
:Segmentation fault (core dumped)
:$ 
:

dso_list:
:/usr/bin/xwininfo xorg-x11-utils-7.5-3.fc16.x86_64 (Fedora Project) 1320287417
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-3.fc16.x86_64 (Fedora Project) 1320287306
:/usr/lib/locale/locale-archive glibc-common-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330997190
:/lib64/libc-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330997194
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1320287306
:/usr/lib64/libxcb-shape.so.0.0.0 libxcb-1.7-3.fc16.x86_64 (Fedora Project) 1320287306
:/lib64/ld-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330997194

environ:
:DISPLAY=:0.1
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=fyodor
:PILOTRATE=115200
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-NhaQ5c/gpg:0:1
:SHELL=/bin/bash
:TERM=xterm
:XDG_SESSION_COOKIE=9024f3e08d7db34e64b75e5f00000011-1332966491.19251-418409328
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=18874373
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-NhaQ5c
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:QTINC=/usr/lib/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=jimb
:LD_LIBRARY_PATH=/usr/local/lib
:PILOTPORT=/dev/ttyS0
:VERSION_CONTROL=numbered
:SSH_AUTH_SOCK=/tmp/keyring-NhaQ5c/ssh
:USERNAME=jimb
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1611,unix/unix:/tmp/.ICE-unix/1611
:DESKTOP_SESSION=gnome
:MAIL=/var/spool/mail/jimb
:PATH=/home/jimb/bin:/home/jimb/yasm/bin:/home/jimb/idutils/bin:/usr/local/bin:/usr/lib/qt-3.3/bin:/usr/lib64/ccache:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin
:QT_IM_MODULE=ibus
:PWD=/home/jimb/DebuggerDocs
:XMODIFIERS=@im=ibus
:EDITOR=emacsclient
:LANG=en_US.utf8
:GNOME_KEYRING_PID=1605
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SHLVL=3
:HOME=/home/jimb
:XDG_SEAT=seat0
:dbg=/home/jimb/moz/dbg/js/src
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=jimb
:CVS_RSH=ssh
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-iSFm6lBgzm,guid=8bee9ff63262d2fcef12e9d700000070
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:INFOPATH=/usr/share/info:/usr/local/share/info
:XDG_RUNTIME_DIR=/run/user/jimb
:GTK_IM_MODULE=ibus
:RSYNC_RSH=ssh
:XAUTHORITY=/var/run/gdm/auth-for-jimb-bSduWP/database
:COLORTERM=gnome-terminal
:CCACHE_HASHDIR=
:_=/usr/bin/xwininfo

maps:
:00400000-00409000 r-xp 00000000 fd:01 137079                             /usr/bin/xwininfo
:00608000-00609000 r--p 00008000 fd:01 137079                             /usr/bin/xwininfo
:00609000-0060a000 rw-p 00009000 fd:01 137079                             /usr/bin/xwininfo
:0060a000-00610000 rw-p 00000000 00:00 0 
:00809000-0080a000 rw-p 00009000 fd:01 137079                             /usr/bin/xwininfo
:01fbf000-01fe0000 rw-p 00000000 00:00 0                                  [heap]
:31b6600000-31b6622000 r-xp 00000000 fd:01 132754                         /lib64/ld-2.14.90.so
:31b6821000-31b6822000 r--p 00021000 fd:01 132754                         /lib64/ld-2.14.90.so
:31b6822000-31b6823000 rw-p 00022000 fd:01 132754                         /lib64/ld-2.14.90.so
:31b6823000-31b6824000 rw-p 00000000 00:00 0 
:31b6a00000-31b6bad000 r-xp 00000000 fd:01 132755                         /lib64/libc-2.14.90.so
:31b6bad000-31b6dad000 ---p 001ad000 fd:01 132755                         /lib64/libc-2.14.90.so
:31b6dad000-31b6db1000 r--p 001ad000 fd:01 132755                         /lib64/libc-2.14.90.so
:31b6db1000-31b6db3000 rw-p 001b1000 fd:01 132755                         /lib64/libc-2.14.90.so
:31b6db3000-31b6db8000 rw-p 00000000 00:00 0 
:31b6e00000-31b6e02000 r-xp 00000000 fd:01 155180                         /usr/lib64/libxcb-shape.so.0.0.0
:31b6e02000-31b7001000 ---p 00002000 fd:01 155180                         /usr/lib64/libxcb-shape.so.0.0.0
:31b7001000-31b7002000 rw-p 00001000 fd:01 155180                         /usr/lib64/libxcb-shape.so.0.0.0
:31bae00000-31bae1b000 r-xp 00000000 fd:01 134847                         /usr/lib64/libxcb.so.1.1.0
:31bae1b000-31bb01a000 ---p 0001b000 fd:01 134847                         /usr/lib64/libxcb.so.1.1.0
:31bb01a000-31bb01b000 rw-p 0001a000 fd:01 134847                         /usr/lib64/libxcb.so.1.1.0
:31bb200000-31bb202000 r-xp 00000000 fd:01 134846                         /usr/lib64/libXau.so.6.0.0
:31bb202000-31bb402000 ---p 00002000 fd:01 134846                         /usr/lib64/libXau.so.6.0.0
:31bb402000-31bb403000 rw-p 00002000 fd:01 134846                         /usr/lib64/libXau.so.6.0.0
:7f8947b3e000-7f894df61000 r--p 00000000 fd:01 155662                     /usr/lib/locale/locale-archive
:7f894df61000-7f894df65000 rw-p 00000000 00:00 0 
:7f894df83000-7f894df85000 rw-p 00000000 00:00 0 
:7fffdc150000-7fffdc171000 rw-p 00000000 00:00 0                          [stack]
:7fffdc173000-7fffdc174000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

smolt_data:
:
:
:General
:=================================
:UUID: a2fdf787-cc3d-4712-b855-55ab2e11eaa1
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 5320.32
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7 CPU       M 620  @ 2.67GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2667
:System Memory: 3817
:System Swap: 5855
:Vendor: LENOVO
:System: 4313CTO ThinkPad T510
:Form factor: Notebook
:Kernel: 3.3.0-4.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4480:59426:6058:8499) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(4480:57904:6058:8500) pci, None, BASE, Memory Stick Host Controller
:(4480:59442:6058:8502) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(32902:11362:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:6058:8595) pci, None, HOST/PCI, Core Processor DRAM Controller
:(32902:69:6058:8596) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:(32902:11536:6058:8598) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:6058:8598) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:6058:8551) pci, i801_smbus, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15151:6058:8552) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15111:6058:8550) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:6058:8592) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:4330:6058:8531) pci, e1000e, ETHERNET, 82577LM Gigabit Network Connection
:(32902:9288:6058:8549) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15164:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:6058:8543) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:16952:32902:4369) pci, iwlwifi, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(32902:15176:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15178:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:6058:8542) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15207:6058:8546) pci, serial, 16550_SERIAL, 5 Series/3400 Series Chipset KT Controller
:(4318:3043:6058:8591) pci, snd_hda_intel, MULTIMEDIA, High Definition Audio Controller
:(4318:2668:6058:8540) pci, nouveau, VIDEO, GT218 [NVS 3100M]
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_fyodor-lv_root / ext4 4096 4096 13092026 10842729 10711707 3276800 3046318 3046318
:/dev/sda1 /boot ext4 1024 1024 508745 410378 384778 128016 127780 127780
:/dev/mapper/vg_fyodor-lv_home /home ext4 4096 4096 107239074 76664907 71297099 26845184 25990718 25990718
:

var_log_messages:
:Mar 30 10:46:32 fyodor kernel: [101993.144429] xwininfo[26394]: segfault at 1 ip 0000000000404105 sp 00007fffdc16fd80 error 4 in xwininfo[400000+9000]
:Mar 30 10:46:33 fyodor abrt[26397]: Saved core dump of pid 26394 (/usr/bin/xwininfo) to /var/spool/abrt/ccpp-2012-03-30-10:46:33-26394 (409600 bytes)
:Mar 30 10:46:33 fyodor kernel: [101993.693986] xwininfo[26404]: segfault at 1 ip 0000000000404105 sp 00007fffbef8f410 error 4 in xwininfo[400000+9000]
:Mar 30 10:46:33 fyodor abrt[26407]: Not dumping repeating crash in '/usr/bin/xwininfo'
:Mar 30 10:46:33 fyodor kernel: [101993.838761] xwininfo[26409]: segfault at 1 ip 0000000000404105 sp 00007fffd11a2930 error 4 in xwininfo[400000+9000]
:Mar 30 10:46:33 fyodor abrt[26412]: Not dumping repeating crash in '/usr/bin/xwininfo'
:Mar 30 10:46:33 fyodor kernel: [101993.912354] xwininfo[26415]: segfault at 1 ip 0000000000404105 sp 00007fff6ec77fd0 error 4 in xwininfo[400000+9000]
:Mar 30 10:46:33 fyodor abrt[26418]: Not dumping repeating crash in '/usr/bin/xwininfo'
:Mar 30 10:46:33 fyodor kernel: [101994.003530] xwininfo[26420]: segfault at 1 ip 0000000000404105 sp 00007fffb0052290 error 4 in xwininfo[400000+9000]
:Mar 30 10:46:33 fyodor abrt[26423]: Not dumping repeating crash in '/usr/bin/xwininfo'
:Mar 30 10:46:33 fyodor kernel: [101994.160415] xwininfo[26425]: segfault at 1 ip 0000000000404105 sp 00007fffea10c810 error 4 in xwininfo[400000+9000]
:Mar 30 10:46:33 fyodor abrt[26428]: Not dumping repeating crash in '/usr/bin/xwininfo'
:Mar 30 10:46:34 fyodor kernel: [101994.235028] xwininfo[26430]: segfault at 1 ip 0000000000404105 sp 00007fff89fdaf60 error 4 in xwininfo[400000+9000]
:Mar 30 10:46:34 fyodor abrt[26433]: Not dumping repeating crash in '/usr/bin/xwininfo'
:Mar 30 10:46:34 fyodor kernel: [101994.382582] xwininfo[26435]: segfault at 1 ip 0000000000404105 sp 00007fff1093e520 error 4 in xwininfo[400000+9000]
:Mar 30 10:46:34 fyodor abrt[26438]: Not dumping repeating crash in '/usr/bin/xwininfo'
Comment 1 Jim Blandy 2012-03-30 13:58:34 EDT
Created attachment 574053 [details]
File: backtrace
Comment 2 david.venz 2012-07-31 20:27:10 EDT
See 
https://bugs.launchpad.net/ubuntu/+source/x11-utils/+bug/1028274

I suspect it might be libxcb's xcb_connection_has_error() no longer returning true in the -display :0.1 case, but I'll attach the patch I prepared for the Ubuntu xwininfo (7.6) anyway.
Comment 3 david.venz 2012-07-31 20:29:01 EDT
Created attachment 601617 [details]
Work around issue in xwininfo rather than libxcb

This patch may be useful to folk that want just xwininfo to handle this gracefully, but libxcb may need investigation?
Comment 4 david.venz 2012-08-08 08:32:23 EDT
Submitted upstream as https://bugs.freedesktop.org/show_bug.cgi?id=53242  (sorry, I can't edit 'See Also').
Comment 5 Fedora End Of Life 2013-01-16 16:04:14 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Jaroslav Reznik 2013-02-26 09:38:13 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.